# forge-node-app 🛠📦🎊
<p align="center"><img src="https://i.imgur.com/NcP5ATW.png" width=350></p> 
<p align="center">A Fast Way to Generate Node.js Boilerplate With Your Favorite Development Tools and Libs </p>
<h3 align="center">💖 Inspired by <a href="https://github.com/vuejs/vue-cli">vue-cli</a></h3>

# Usage 🛴
RUN <br>
```npx forge-node-app``` <br>
OR INSTALL GLOBALLY <br>
```npm i -g forge-node-app``` <br>
```forge-node-app```

# Preview 🔍
<img src="https://i.imgur.com/y8hdTau.gif" width="540">

# Supported Things 📄 
- VanillaJS, TypeScript, Babel
- npm, yarn
- ESLint, Prettier
- dotenv, nodemon, ts-node-dev
- Jest, Mocha + Chai
- git repo (GitHub, GitLab)

# Additonal Stuff 📜
- Setting up Initial Folders (src, tests)
- Setting up Initial Files (index, index.test)
- Initing the package, Setting up Scripts and Package Details
- Generating LICENSE, README, .gitignore, prettier and linter configs, babel and ts configs
- Providing compatibility for all libraries with TS/Babel 

# Contributing 🤝
Contributions, issues and feature requests are welcome! <br>
Feel free to check issues page

# ToDo 🧾
- More libs (JSDoc, Process Managers, Loggers)
- Add yargs

# License 📑 
(c) 2020 Ilya Revenko. [MIT License](https://tldrlegal.com/license/mit-license)